import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _isNativeReflectConstruct from "@babel/runtime/helpers/esm/isNativeReflectConstruct";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import Button from "@semcore/button";
import { createComponent, Component } from "@semcore/core";
import { callAllEventHandlers } from "@semcore/core/lib/utils/assignProps";
import canUseDOM from "@semcore/core/lib/utils/canUseDOM";
import i18nEnhance from "@semcore/core/lib/utils/enhances/i18nEnhance";
import React from "react";
import Error, { getIconPath } from "../Error.mjs";
import { localizedMessages } from "./translations/__intergalactic-dynamic-locales.mjs";
var _excluded = ["Children", "getI18nText", "onClick", "titleTag"];
function _callSuper(t, o, e) {
  return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e));
}
var RootPageError = /* @__PURE__ */ function(_Component) {
  function RootPageError2() {
    var _this;
    _classCallCheck(this, RootPageError2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _callSuper(this, RootPageError2, [].concat(args));
    _defineProperty(_this, "handleReload", function() {
      if (canUseDOM()) {
        location.reload();
      }
    });
    return _this;
  }
  _inherits(RootPageError2, _Component);
  return _createClass(RootPageError2, [{
    key: "render",
    value: function render() {
      var _this$asProps = this.asProps, Children = _this$asProps.Children, getI18nText = _this$asProps.getI18nText, onClick = _this$asProps.onClick, titleTag = _this$asProps.titleTag, other = _objectWithoutProperties(_this$asProps, _excluded);
      return /* @__PURE__ */ React.createElement(Error, other, /* @__PURE__ */ React.createElement(Error.Title, {
        tag: titleTag
      }, getI18nText("title")), /* @__PURE__ */ React.createElement(Error.Description, null, getI18nText("text")), /* @__PURE__ */ React.createElement(Children, null), /* @__PURE__ */ React.createElement(Error.Controls, null, /* @__PURE__ */ React.createElement(Button, {
        onClick: callAllEventHandlers(onClick, this.handleReload),
        size: "l",
        use: "primary",
        theme: "info"
      }, getI18nText("btnRetry"))));
    }
  }]);
}(Component);
_defineProperty(RootPageError, "displayName", "PageError");
_defineProperty(RootPageError, "enhance", [i18nEnhance(localizedMessages)]);
_defineProperty(RootPageError, "defaultProps", {
  i18n: localizedMessages,
  locale: "en",
  icon: getIconPath("page_error"),
  titleTag: "h2"
});
const index = createComponent(RootPageError);
export {
  index as default
};
