import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _isNativeReflectConstruct from "@babel/runtime/helpers/esm/isNativeReflectConstruct";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import { createComponent, assignProps, Component } from "@semcore/core";
import Button from "@semcore/button";
import i18nEnhance from "@semcore/core/lib/utils/enhances/i18nEnhance";
import FormatText from "@semcore/format-text";
import React from "react";
import Error, { getIconPath } from "../Error.mjs";
import { localizedMessages } from "./translations/__intergalactic-dynamic-locales.mjs";
function _callSuper(t, o, e) {
  return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e));
}
var RootProjectNotFound = /* @__PURE__ */ function(_Component) {
  function RootProjectNotFound2() {
    _classCallCheck(this, RootProjectNotFound2);
    return _callSuper(this, RootProjectNotFound2, arguments);
  }
  _inherits(RootProjectNotFound2, _Component);
  return _createClass(RootProjectNotFound2, [{
    key: "render",
    value: function render() {
      var _ref = this.asProps;
      var _this$asProps = this.asProps, Children = _this$asProps.Children, getI18nText = _this$asProps.getI18nText, projectsLink = _this$asProps.projectsLink, contactsLink = _this$asProps.contactsLink, supportTeamLink = _this$asProps.supportTeamLink, titleTag = _this$asProps.titleTag;
      var text = getI18nText("text", {
        url: supportTeamLink
      });
      return /* @__PURE__ */ React.createElement(Error, assignProps({}, _ref), /* @__PURE__ */ React.createElement(Error.Title, {
        tag: titleTag
      }, getI18nText("title")), /* @__PURE__ */ React.createElement(Error.Description, {
        tag: FormatText,
        size: "l",
        dangerouslySetInnerHTML: {
          __html: text
        }
      }), /* @__PURE__ */ React.createElement(Children, null), /* @__PURE__ */ React.createElement(Error.Controls, null, /* @__PURE__ */ React.createElement(Button, {
        tag: "a",
        type: "none",
        size: "l",
        use: "primary",
        theme: "info",
        href: projectsLink
      }, getI18nText("btnProjects")), /* @__PURE__ */ React.createElement(Button, {
        size: "l",
        tag: "a",
        type: "none",
        href: contactsLink
      }, getI18nText("btnContacts"))));
    }
  }]);
}(Component);
_defineProperty(RootProjectNotFound, "displayName", "Maintenance");
_defineProperty(RootProjectNotFound, "enhance", [i18nEnhance(localizedMessages)]);
_defineProperty(RootProjectNotFound, "defaultProps", {
  i18n: localizedMessages,
  locale: "en",
  icon: getIconPath("project_not_found"),
  projectsLink: "/projects",
  contactsLink: "/company/contacts",
  supportTeamLink: "mailto:mail@semrush.com",
  titleTag: "h2"
});
const index = createComponent(RootProjectNotFound);
export {
  index as default
};
